#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

struct Record {
	int id;
	std::string name;
};

int find_id(const vector<Record>& records, const string& name) {
	auto it = find_if(records.begin(), records.end(),
					  [&]( const Record& r){ return r.name == name; } );
	if(it == records.end())
		return -1;
	return it->id;
}

int main() {
	vector<Record> records;
	records.push_back( {1, "Abacki"} );
	records.push_back( {2, "Babacki"} );

	cout << find_id(records, "Abacki") << endl;
	cout << find_id(records, "Babacki") << endl;
	cout << find_id(records, "Cabacki") << endl;
	return 0;
}
